OVERLAY_VECTOR(3)

FUNCTION
overlay_vector - Add a vector to an overlay list.

SYNOPSIS
#include <karma_overlay.h>

unsigned int overlay_vector

(KOverlayList olist, unsigned int stype, double sx, double sy, unsigned int dtype, double dx, double dy, CONST char *colourname)

DESCRIPTION
This routine will add a vector (directed line) to an overlay object list. See also <-overlay_vectors->.

olist
    The overlay list object.

stype
    The type of the start co-ordinate. See <-overlay_COORDINATE_TYPES-> for a list of supported co-ordinate types.

sx  The horizontal position of the start co-ordinate.

sy  The vertical position of the start co-ordinate.

dtype
    The type of the vector direction. See <-overlay_COORDINATE_TYPES-> for a list of supported co-ordinate types.

dx  The horizontal vector direction.

dy  The vertical vector direction.

colourname
    The colour name.

RETURN VALUE
The objectID on success, else 0.

Multi-threading Level
Unsafe.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/